Name:		yainstall
Version:	1.2
Release:	%mkrel 13
Summary:	An utility to easily download and install FlightGear aircrafts
License:	GPLv3
Group:		Games/Other
Url:		https://bitbucket.org/_pmat_/yainstall
Source:		%{name}-%{version}.tar.xz
Patch0:		yainstall-1.2-fix-build-with-qt-5.12.patch

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(libzip)
BuildRequires:	yalib-devel

%description
An utility to easily download and install FlightGear aircrafts.

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5
%make_build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

cat > README.urpmi << EOF
If your FlightGear aircrafts directory resides into /usr/share/games/flightgear/
you will need to launch YaInstall using tools like sudo, su, kdesu or gtksu to allow
the automatic download and installation of the aircraft models.
EOF

%files
%doc README.md COPYING README.urpmi
%{_bindir}/%{name}


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.2-13.mga8
+ Revision: 1660333
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.2-12.mga8
+ Revision: 1525182
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 1.2-11.mga7
+ Revision: 1385310
- Qt5 Rebuild

* Wed Jan 23 2019 daviddavid <daviddavid> 1.2-10.mga7
+ Revision: 1360376
- add patch to fix build with Qt5 >= 5.12
- split out all Qt5 BRs

* Sun Sep 23 2018 umeabot <umeabot> 9.mga7-current
+ Revision: 1302012
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 wally <wally> 1.2-8.mga7
+ Revision: 1187978
- rebuild for new libzip

* Wed Feb 17 2016 umeabot <umeabot> 1.2-7.mga6
+ Revision: 963657
- Mageia 6 Mass Rebuild

* Thu Nov 19 2015 daviddavid <daviddavid> 1.2-6.mga6
+ Revision: 904182
- rebuild for new libzip 1.0.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 745861
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-4.mga5
+ Revision: 690818
- Mageia 5 Mass Rebuild

* Sat Jul 19 2014 daviddavid <daviddavid> 1.2-3.mga5
+ Revision: 653741
- rebuild for new yalib

* Sat Oct 19 2013 umeabot <umeabot> 1.2-2.mga4
+ Revision: 531831
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 matteo <matteo> 1.2-1.mga4
+ Revision: 465431
- new version 1.2
- built against Qt5

* Sat Feb 09 2013 matteo <matteo> 1.0-2.mga3
+ Revision: 397490
- new source archive

* Fri Feb 08 2013 matteo <matteo> 1.0-1.mga3
+ Revision: 395258
- added libzip br
- added missing br
- imported package yainstall

